GNU bug report logs - #25803
./configure CFLAGS=-ggdb3 fails 'guile-snarf'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Reported by: Sergei Trofimovich <slyfox@HIDDEN>; dated Sun, 19 Feb 2017 22:38:01 UTC; Maintainer for guile is bug-guile@HIDDEN.

Message received at 25803 <at> debbugs.gnu.org:


Received: (at 25803) by debbugs.gnu.org; 21 Apr 2017 15:01:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 21 11:01:08 2017
Received: from localhost ([127.0.0.1]:60982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d1a3X-0001PT-QS
	for submit <at> debbugs.gnu.org; Fri, 21 Apr 2017 11:01:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52805)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1d1a3W-0001JJ-Gc
 for 25803 <at> debbugs.gnu.org; Fri, 21 Apr 2017 11:01:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1d1a3N-0007St-Ft
 for 25803 <at> debbugs.gnu.org; Fri, 21 Apr 2017 11:01:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35894)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1d1a3M-0007Sj-TE
 for 25803 <at> debbugs.gnu.org; Fri, 21 Apr 2017 11:00:57 -0400
Received: from [193.50.110.185] (port=53324 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1d1a3M-0000yJ-CA
 for 25803 <at> debbugs.gnu.org; Fri, 21 Apr 2017 11:00:56 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: 25803 <at> debbugs.gnu.org
Subject: guile-snarf now fails when passed arguments contains whitespace
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 2 =?utf-8?Q?Flor=C3=A9al?= an 225 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Fri, 21 Apr 2017 17:00:54 +0200
Message-ID: <87d1c524bd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25803
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

Commit f775ab3654357fcaad294b95efb0b1c16de1eda8 (=E2=80=9Cguile-snarf: skip=
 -g*
arguments to avoid build failure=E2=80=9D) broke guile-snarf when passed
arguments with whitespace, as in:

  guile-snarf -o auth.x auth.c -DPACKAGE_STRING=3D\"Guile-SSH\ 0.10.2\" =E2=
=80=A6

The breakage comes from the fact that arguments are accumulated in a
string, in the =E2=80=98cpp_args=E2=80=99 variable, so the shell loses info=
rmation about
word separation.

Besides, filtering out =E2=80=98-g=E2=80=99 arguments seems dubious.

WDYT?

Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#25803; Package guile. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 25803-done <at> debbugs.gnu.org:


Received: (at 25803-done) by debbugs.gnu.org; 19 Apr 2017 15:20:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 19 11:20:39 2017
Received: from localhost ([127.0.0.1]:57088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d0rPL-000309-8N
	for submit <at> debbugs.gnu.org; Wed, 19 Apr 2017 11:20:39 -0400
Received: from pb-sasl2.pobox.com ([64.147.108.67]:54139
 helo=sasl.smtp.pobox.com) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wingo@HIDDEN>) id 1d0rPJ-000302-HG
 for 25803-done <at> debbugs.gnu.org; Wed, 19 Apr 2017 11:20:37 -0400
Received: from sasl.smtp.pobox.com (unknown [127.0.0.1])
 by pb-sasl2.pobox.com (Postfix) with ESMTP id 1A4E48353F;
 Wed, 19 Apr 2017 11:20:35 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=pobox.com; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=sasl; bh=xgw5ID9BmvW6TjG7Ab6vMkPNrl4=; b=Tx5wFv
 kL/Z63rg3EbvvL6RKiNdwxuIRdJM7Q1hh8O0IaH8lSG9KiQOjKnAbHa+mj27zPoD
 H11geu9BoKn3jNoNtvzAZozGoZ6gi/DVT/6ekQws+44RBNjwpJnxXrzvldYAis8X
 tLN73NjAcxT8FJSMMQQbNXEwQj2ay82LAddT4=
Received: from pb-sasl2.nyi.icgroup.com (unknown [127.0.0.1])
 by pb-sasl2.pobox.com (Postfix) with ESMTP id F28428353D;
 Wed, 19 Apr 2017 11:20:34 -0400 (EDT)
Received: from rusty (unknown [88.160.190.192])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by pb-sasl2.pobox.com (Postfix) with ESMTPSA id 139088353C;
 Wed, 19 Apr 2017 11:20:33 -0400 (EDT)
From: Andy Wingo <wingo@HIDDEN>
To: Sergei Trofimovich <slyfox@HIDDEN>
Subject: Re: bug#25803: [PATCH] guile-snarf: skip -g* arguments to avoid build
 failure
References: <20170219223639.61a78924@sf>
 <20170219225840.5015-1-slyfox@HIDDEN>
Date: Wed, 19 Apr 2017 17:20:27 +0200
In-Reply-To: <20170219225840.5015-1-slyfox@HIDDEN> (Sergei Trofimovich's
 message of "Sun, 19 Feb 2017 22:58:40 +0000")
Message-ID: <871ssol8zo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Pobox-Relay-ID: BBBAEF50-2513-11E7-9FE7-571C92A0D1B0-02397024!pb-sasl2.pobox.com
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 25803-done
Cc: 25803-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On Sun 19 Feb 2017 23:58, Sergei Trofimovich <slyfox@HIDDEN> writes:

> The fix is to ignore -g* flags. They should only affect debugging output.
>
> * libguile/guile-snarf.in: skip -g* arguments to avoid build failure

Applied.  Thanks :)

Andy




Notification sent to Sergei Trofimovich <slyfox@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Andy Wingo <wingo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 25803 <at> debbugs.gnu.org:


Received: (at 25803) by debbugs.gnu.org; 19 Feb 2017 22:59:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 19 17:59:00 2017
Received: from localhost ([127.0.0.1]:46620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cfaRY-0004KY-81
	for submit <at> debbugs.gnu.org; Sun, 19 Feb 2017 17:59:00 -0500
Received: from smtp.gentoo.org ([140.211.166.183]:58980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <slyfox@HIDDEN>) id 1cfaRV-0004KK-U5
 for 25803 <at> debbugs.gnu.org; Sun, 19 Feb 2017 17:58:58 -0500
Received: from sf.home (host86-186-94-114.range86-186.btcentralplus.com
 [86.186.94.114])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: slyfox)
 by smtp.gentoo.org (Postfix) with ESMTPSA id 9D56F340806;
 Sun, 19 Feb 2017 22:58:50 +0000 (UTC)
Received: by sf.home (Postfix, from userid 1000)
 id BFA821A93DF0B; Sun, 19 Feb 2017 22:58:45 +0000 (GMT)
From: Sergei Trofimovich <slyfox@HIDDEN>
To: 25803 <at> debbugs.gnu.org
Subject: [PATCH] guile-snarf: skip -g* arguments to avoid build failure
Date: Sun, 19 Feb 2017 22:58:40 +0000
Message-Id: <20170219225840.5015-1-slyfox@HIDDEN>
X-Mailer: git-send-email 2.11.1
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25803
Cc: Sergei Trofimovich <slyfox@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Steps to reproduce:
    $ ./configure CFLAGS=-ggdb3
    $ make
    make[1]: Entering directory '/home/slyfox/dev/git/guile/libguile'
      CC       libguile_2.2_la-alist.lo
    In file included from alist.c:398:0:
    ../libguile/alist.x: In function 'scm_init_alist':
    ../libguile/alist.x:2:2537: error: conflicting types for 'scm_i_foreign_call'

The problem here is in gcc -ggdb3 which leaves too much
of unrelated input. guile-snarf does not understand how to drop it:

The fix is to ignore -g* flags. They should only affect debugging output.

* libguile/guile-snarf.in: skip -g* arguments to avoid build failure

Bug: https://bugs.gentoo.org/608190
Bug: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25803
Signed-off-by: Sergei Trofimovich <slyfox@HIDDEN>
---
 libguile/guile-snarf.in | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

diff --git a/libguile/guile-snarf.in b/libguile/guile-snarf.in
index 47bbc0422..22dc1d389 100644
--- a/libguile/guile-snarf.in
+++ b/libguile/guile-snarf.in
@@ -95,10 +95,22 @@ if [ x"$CPP" = x ] ; then cpp="@CPP@" ; else cpp="$CPP" ; fi
 
 trap "rm -rf $tempdir" 0 1 2 15
 
+# filter out -g* flags from commandline
+# as some flags like -ggdb3 cause CPP
+
+cpp_args=""
+for arg in "$@"
+do
+    case "$arg" in
+        -g*) ;; # skip debug flag
+        *) cpp_args="$cpp_args $arg" ;;
+    esac
+done
+
 if [ ! "$outfile" = "-" ] ; then
-    modern_snarf "$@" > $outfile
+    modern_snarf $cpp_args > $outfile
 else
-    modern_snarf "$@"
+    modern_snarf $cpp_args
 fi
 
 # zonk outfile if errors occurred
-- 
2.11.1





Information forwarded to bug-guile@HIDDEN:
bug#25803; Package guile. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Feb 2017 22:37:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 19 17:37:02 2017
Received: from localhost ([127.0.0.1]:46586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cfa6I-0003qH-Lt
	for submit <at> debbugs.gnu.org; Sun, 19 Feb 2017 17:37:02 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <slyfox@HIDDEN>) id 1cfa6G-0003pn-B1
 for submit <at> debbugs.gnu.org; Sun, 19 Feb 2017 17:37:00 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <slyfox@HIDDEN>) id 1cfa6A-0005gf-1r
 for submit <at> debbugs.gnu.org; Sun, 19 Feb 2017 17:36:55 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33934)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <slyfox@HIDDEN>) id 1cfa69-0005gV-VS
 for submit <at> debbugs.gnu.org; Sun, 19 Feb 2017 17:36:53 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54035)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <slyfox@HIDDEN>) id 1cfa68-0002Zt-QK
 for bug-guile@HIDDEN; Sun, 19 Feb 2017 17:36:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <slyfox@HIDDEN>) id 1cfa63-0005b0-RN
 for bug-guile@HIDDEN; Sun, 19 Feb 2017 17:36:52 -0500
Received: from smtp2.mail.ru ([94.100.179.91]:35440)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <slyfox@HIDDEN>) id 1cfa63-0005ZG-EM
 for bug-guile@HIDDEN; Sun, 19 Feb 2017 17:36:47 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=inbox.ru;
 s=mail; 
 h=Content-Type:MIME-Version:Message-ID:Subject:To:From:Date;
 bh=NcfQcobfisUverchPKk7N9FWkZI8ZqPDxDNh5mPii+U=; 
 b=W3Os00cZGdJbhrl4LTyVwbYwltQploM/evVgiMHwIQRJJjC2iZJvIp6ghfAQhXRx07LT6hiD1g1/MINDfnwAJT4KuYSfF7vrujAPZVgSY+jEUjvrcRt9jEJBARot0+bsNHNYvAtPb3Qus6Q4YWpfQHysAH/akpjv8dAy31WOd0c=;
Received: from host86-186-94-114.range86-186.btcentralplus.com
 ([86.186.94.114]:43284 helo=sf)
 by smtp2.mail.ru with esmtpa (envelope-from <slyfox@HIDDEN>)
 id 1cfa60-00080S-R1
 for bug-guile@HIDDEN; Mon, 20 Feb 2017 01:36:45 +0300
Date: Sun, 19 Feb 2017 22:36:39 +0000
From: Sergei Trofimovich <slyfox@HIDDEN>
To: bug-guile@HIDDEN
Subject: ./configure CFLAGS=-ggdb3 fails 'guile-snarf'
Message-ID: <20170219223639.61a78924@sf>
X-Mailer: Claws Mail 3.14.1 (GTK+ 2.24.31; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 boundary="Sig_//V0_kNT++wqrkMiBzU5BxS="; protocol="application/pgp-signature"
Authentication-Results: smtp2.mail.ru; auth=pass smtp.auth=slyfox@HIDDEN
 smtp.mailfrom=slyfox@HIDDEN
X-E1FCDC63: 99D20A849714F33DF1C56E1EC8C3BA7AADAB024B4846C063
X-E1FCDC64: 050AAB0F105E0D533101E7098431FC886F51598FB3A070B8BBFD383A8D611708
X-Mailru-Sender: 47F1D982AB0D37D1D3C1A800599C491EFF7CF61F7ACDBF85984F40963CA419F05E2818E960BBF402B95C1B4C9AB71624C77752E0C033A69EDBCA959C405D6A558CE6C041AAA78D0F3CDA0F3B3F5B9367
X-Mras: OK
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--Sig_//V0_kNT++wqrkMiBzU5BxS=
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

It popped out as a
    https://bugs.gentoo.org/show_bug.cgi?id=3D608190
where one of packages failed to build with CFLAGS=3D-ggdb3 was guile-2.0.13

guile git master is also affected:

    $ ./configure CFLAGS=3D-ggdb3
    $ make
    make[1]: Entering directory '/home/slyfox/dev/git/guile/libguile'
      CC       libguile_2.2_la-alist.lo
    In file included from alist.c:398:0:
    ../libguile/alist.x: In function 'scm_init_alist':
    ../libguile/alist.x:2:2537: error: conflicting types for 'scm_i_foreign=
_call'

The problem here is in gcc -ggdb3 which leaves too much
of unrelated input. guile-snarf does not understand how to drop it:

guile/libguile $ guile-snarf alist.c -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=3D=
1 -I.. -I.. -I../lib -I../lib -I/usr/lib64/libffi-3.2.1/include -I/home/sly=
fox/dev/git/guile -ggdb2 | wc -c
1389
guile/libguile $ guile-snarf alist.c -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=3D=
1 -I.. -I.. -I../lib -I../lib -I/usr/lib64/libffi-3.2.1/include -I/home/sly=
fox/dev/git/guile -ggdb3 | wc -c
230085

Fails on both gcc-5.4.0 / gcc-6.3.0

--=20

  Sergei

--Sig_//V0_kNT++wqrkMiBzU5BxS=
Content-Type: application/pgp-signature
Content-Description: Цифровая подпись OpenPGP

-----BEGIN PGP SIGNATURE-----

iEYEARECAAYFAliqHfcACgkQcaHudmEf86oOZQCfd844Q1Cr8pisW0EDlxDhutB/
dN4AnjWhLPx5DZc4oEz0U5WsUk9vt4sX
=Ju3x
-----END PGP SIGNATURE-----

--Sig_//V0_kNT++wqrkMiBzU5BxS=--




Acknowledgement sent to Sergei Trofimovich <slyfox@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guile@HIDDEN. Full text available.
Report forwarded to bug-guile@HIDDEN:
bug#25803; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Apr 2017 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.